Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

TIN surfaces on terraced ground

Dabbling with TIN surfaces. I have a piece of ground which is terraced.
The terrace ground surfaces are quite bumpy up-and-down, surveyed with plentiful spot levels marked on a plan grid.
Vertical retaining walls form vertical drops separating one terrace from the next, with no upstand; they wander, as drawn in plan.
The retaining walls' visible top and bottom edges also wander vertically, defined simply by where the vertical surface intersects with the abutting terrace ground surfaces.

Of course, a TIN surface built simply from the spot levels, blurs with a banked shape across the zones where the retaining walls would run.
How to insert the retaining walls as breaks, forming a sharp vertical step between one terrace ground surface and the next?

The spot levels grid comes close to the retaining walls but no spot points fall precisely on the line of the retaining walls, at either their top or bottom edge. I had hoped that the terrace ground surfaces would extrapolate beyond the nearest spot points, to define their intersection with the retaining walls' vertical surface.

I had assumed that 'break lines' (the line of the retaining walls on plan) would be treated as a vertical surface projected vertically from the plan drawing, which would create separated areas of terrace ground surface as defined solely by their spot levels.

Now it seems that 'break lines' means the retaining walls have to have their visible top and bottom edges levelled, and those levelled edges define triangle-edges both horizontal(ish) and vertical.

There must be a Surveyor's economical procedure for this, which my Architectural measuring-up skillset has never needed?

Comments

  • @Tom Foster
    Yes, drawing breaklines by either simply connecting survey shots in 3D, or using the shots as profile grade breaks along a linear feature, is the big question. 42 is the answer from the software vendors out there.
    In civil3d, you would make a feature line, and add the points as elevations along it. I hate feature lines as they force elevations at horizontal change points, not what civil engineers do, and especially not with surface breaklines.
    I'm not totally sure how Carlson and others do it, its been a while since I checked.
    What we did was make our own tool that lets you pick a 2d pline, then elevation points anywhere and type or pick their elevation values as you go. Want to know the name of our tool? Its a "3D Alignment"!
    I forgot to copywrite it before bcad named theirs, oh well. It does what every civil wants - allow true profile creation and editing in plan view.
    And....we don't sell it. So my answer is 42 also I guess.

  • Thanks James. I resigned myself to that before you answered.

    With TINs, looks impossible to create a vertical surface. Its lower edge would have to lie exactly below its upper edge and I can foresee spot-level points of the abutting horizontal-ish surfaces making the wrong choice of line to connect their triangle to.

    Looking at behaviour of Plines, like I never needed to before - straight off, the coordinates of only one end vertex appear in Props, and no Z at that, so its elevation can't be edited that way, let alone the elevation of each node. Is that where your "3D Alignment" tool comes in?

    So looking to create 'break lines' or rather, notional retaining walls, as solids extruded up from the wandering line on 2D plan, hopefully Imprint some kind of line or string of Lines of the vertical face of that, edit the elevation of the 'nodes'. Or where it's a true circular arc on plan, Imprint a string of helicals?
    Getting complicated.

    Then I see "A single horizontal alignment can have multiple vertical alignments." Could be.

  • With TINs, looks impossible to create a vertical surface.

    It's true that no two points can share the same X/Y. However, you can achieve a near (enough) vertical by offsetting the figure/points by a small amount such as 0.01 in the horizontal. For example a bottom of curb 3dPoly can be offset H:0.01 V:0.5 (to the inside) to create a top of curb 3dPoly.

  • @Tom Foster
    Walls are one of the more interesting things to draw in 3d. For simple ones, I make a bunch of rectangles (or bent rectangles) that represent a single top of wall elevation, and set their elevation to the design. If drawn at 0 elevation, you could use this LF key-in to lift them:
    (DEFUN C:LF () (ECHOOFF)(princ "\nLift or lower by delta")
    (SETQ AMT (GETREAL "\nDelta:"))(COMMAND "_MOVE" (SSGET) "" (LIST 0.0 0.0 0.0) (LIST 0.0 0.0 AMT)) (PRINC))
    Then extrude all at once wih a negative number like 10 to make sure they all go under the surface at hand, or however the tallest wall is.
    So that is by hand, with one height to get under surface. You could do LF one by one if you wanted actual height modeled down to footing.

    That would kill me for more than one wall. Instead, I would make horizontal and vertical "alignments" (in my software) where the horizontal is face of wall, and vertical is top of wall, with the steps ever so slightly shifted at the bottom so its not true vertical step up at a lift, its like 0.01 different.
    Then, I would walk through that info and have my program make the rectangles at correct elev's and extrude them down to some top of footing elev. I would also make the footings with that info. Oops, now I am giving Terry ideas ;)

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam